''' <summary>
''' Ein SplitContainer mit benutzerdefiniertem Rahmen fr beide Panels
''' </summary>
''' <remarks></remarks>
Public Class BorderSplitContainer
    Inherits SplitContainer
    Private WithEvents m_Panel As Panel

    Public Sub New()
        Me.Panel1.Padding = New Padding(1)
        Me.Panel2.Padding = New Padding(1)
        AddHandler Panel1.Paint, AddressOf Panel_Paint
        AddHandler Panel2.Paint, AddressOf Panel_Paint
    End Sub
    Private Sub Panel_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs)
        Dim pnl As Panel = CType(sender, Panel)
        ControlPaint.DrawVisualStyleBorder(e.Graphics, New Rectangle(0, 0, pnl.Width - 1, pnl.Height - 1))
    End Sub
End Class
